PKGCTL-VERSION-CHECK(1)

NOME
pkgctl-version-check - Compara versões de pacotes locais com versões upstream

SINOPSE

pkgctl version check [OPÇÕES] [PKGBASE...]

DESCRIÇÃO

Compara as versões dos pacotes no repositório de pacotes local com suas versões upstream mais recentes.

Após a execução, ele gera uma lista agrupada que fornece insights detalhados sobre o status de cada pacote. Para cada pacote, ele exibe a versão local atual junto com a versão mais recente disponível no upstream.

Gera um resumo dos pacotes atualizados, pacotes desatualizados e quaisquer falhas de verificação.

Isso simplifica a manutenção de arquivos PKGBUILD, reduzindo o esforço manual necessário para rastrear alterações de versão de fontes upstream.

CONFIGURAÇÃO

Usa nvchecker(1) e um arquivo .nvchecker.toml localizado junto com o PKGBUILD. Consulte a seção de configuração em pkgctl-version(1).

OPÇÕES

-h, --help
    Mostra um texto de ajuda.

OPÇÕES DE FILTRAGEM

-v, --verbose
    Exibe todos os resultados, incluindo versões atualizadas

OPÇÕES DE SAÍDA

--json
    Habilita impressão em JSON; Atalho para '--format json'

-F, --format FORMATO
    Controla a formatação de saída dos resultados; FORMATO é 'pretty' ou 'json' (o padrão é pretty)

CÓDIGOS DE SAÍDA

Na saída, retorna um dos códigos a seguir:

0
    Condição de saída normal, todas as versões verificadas estão atualizadas

1
    Causa desconhecida da falha

2
    Condição de saída normal, mas existem versões desatualizadas

3
    Falha ao executar algumas verificações de versão

VEJA TAMBÉM

pkgctl-version(1) nvchecker(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).